Bug 20204 - Adding existing items to a folder does not offer overwrite option
Summary: Adding existing items to a folder does not offer overwrite option
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Management (show other bugs)
Version: 5.0
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: (C8)
Assignee: Matt Ward
URL:
Depends on:
Blocks:
 
Reported: 2014-05-30 10:39 UTC by Neal
Modified: 2016-08-09 14:02 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Neal 2014-05-30 10:39:47 UTC
Hello,

Using Xam Studio 5 stable, when adding images to a folder that already has the images, i.e. in an attempt to update them, I am not offered an option to overwrite existing files.  This requires me to find/remove the existing files, then add them again.  Regression from 4.x

FYI
Comment 1 Prashant manu 2014-06-02 05:00:50 UTC
Checked, Adding existing items to a folder does not offer overwrite option
Screencast (XS 5.0 (build 878)): http://www.screencast.com/t/wgb5poqUJ
Screencast (XS 4.2.3 (build 60)): http://www.screencast.com/t/IQIgJjQai

Checked On:
Xamarin Studio Version 5.0 (build 878)
Git revision: bcd66920d963483e7d638a2339c4022fe035b529
Xamarin addins: da9064ce55b0fa90930a7c437a4cc1ae0e5c778c
XS 4.2.3( build 60)
Comment 2 Matt Ward 2016-07-01 10:25:51 UTC
Opened pull request with a possible fix:

https://github.com/mono/monodevelop/pull/1535
Comment 4 xamarin-release-manager 2016-08-02 13:03:34 UTC
Fixed in version 6.2.0.271 (master)

Author: Matt Ward
Commit: 98a891d11355a1cb2d5f03b1cf9aa1c4f3ce1f23 (mono/monodevelop)
Comment 6 Jatin 2016-08-03 12:08:05 UTC
I have verified this issue with the latest Cycle 8 Patch build, i.e

XS Version 6.1 (build 5300)

Build Information
Release ID: 601005300
Git revision: c9f7484fd74da4d514ded991a6e0d4d4086119f9
Build date: 2016-08-02 13:46:37-04
Xamarin addins: 7d87728fe95cd705d37866eb55bb9da3cbb83984
Build lane: monodevelop-lion-cycle8-allow-overwrite-existing-files-when-adding-files

And have observed that now the issue does not exist, and user is getting the overwrite option when Adding existing items to a folder.

Below is the screencast for the same:
http://www.screencast.com/t/Xl7Le7Qq

Hence, marking this issue as verified - fixed
Comment 7 Matt Ward 2016-08-08 20:39:21 UTC
Adding some more information on how the fix works:

1) Adding existing files to a folder in a project would not allow the
existing files to be overwritten. The existing project files would
need to be deleted first. Now when adding an existing file to a folder
in a project where they already exist the user is prompted to
overwrite the existing file.

2) Add apply all check box to dialog when overwriting project files.

When adding or moving multiple files into a project, and the files
already exist, the user will be shown a dialog asking if they want
to overwrite each file. The dialog has a Cancel, Skip and Overwrite
File button and an Apply to all check box when multiple files are
being added. If a single file is being added then the Skip and
Apply to all check box is not displayed.

Previously there was no way to cancel multiple files being added
or moved. The cancel button would only cancel the file currently
being added. Also there was no way apply the same action, skip or
overwrite, to all files without having to repeatedly click a button
on the dialog.
Comment 8 xamarin-release-manager 2016-08-09 09:00:23 UTC
Fixed in version 6.1.0.5315 (cycle8)

Author: Matt Ward
Commit: e7f810fe0cbb2eb69559fd6ddcb1ba90d572a0b5 (mono/monodevelop)
Comment 9 Mohit Kheterpal 2016-08-09 14:02:22 UTC
Today, I have checked it with latest build of Cycle 8 i.e. XS 6.1.0.5316 commit : dfc3133c2542c0e69d8acf9e753a583a82ba6f88 as mentioned in comment 7, I observed that this issue is working fine now.

Screencast : http://www.screencast.com/t/W17qwiSVWX

thanks